Commit ef60a27b authored by Jure's avatar Jure

fix: use default module resolution

parent 7a6b2836
Pipeline #12063 failed with stages
in 7 minutes and 23 seconds
[
"pubsweet-component-login",
"pubsweet-component-password-reset-backend",
"pubsweet-component-signup",
"@pubsweet/model-user",
"@pubsweet/model-team",
"@pubsweet/model-blog",
......
......@@ -10,26 +10,27 @@
],
"main": "app.js",
"dependencies": {
"@pubsweet/coko-theme": "^5.0.5",
"@pubsweet/db-manager": "2.2.0",
"@pubsweet/default-theme": "4.0.5",
"@pubsweet/logger": "^0.2.10",
"@pubsweet/model-blog": "^0.0.10",
"@pubsweet/model-blogpost": "^0.0.10",
"@pubsweet/model-team": "^1.0.2",
"@pubsweet/model-user": "^3.0.0",
"@pubsweet/models": "0.1.2",
"@pubsweet/ui": "^9.1.1",
"@pubsweet/coko-theme": "^5.1.0",
"@pubsweet/db-manager": "3.0.4",
"@pubsweet/default-theme": "4.0.13",
"@pubsweet/logger": "^0.2.18",
"@pubsweet/model-blog": "^0.0.11",
"@pubsweet/model-blogpost": "^0.0.11",
"@pubsweet/model-team": "^2.0.5",
"@pubsweet/model-user": "^4.0.5",
"@pubsweet/models": "0.2.5",
"@pubsweet/ui": "^10.1.0",
"authsome": "^0.1.0",
"mini-css-extract-plugin": "^0.5.0",
"pubsweet": "^4.0.0",
"pubsweet-client": "^9.1.0",
"pubsweet-component-login": "^2.1.1",
"pubsweet-component-password-reset-backend": "^2.0.1",
"pubsweet-component-password-reset-frontend": "^3.0.5",
"pubsweet-component-signup": "^1.0.39",
"pubsweet-server": "^13.2.0",
"react-adopt": "^0.6.0"
"pubsweet": "^4.1.0",
"pubsweet-client": "^9.2.0",
"pubsweet-component-login": "^3.0.0",
"pubsweet-component-password-reset-backend": "^2.0.3",
"pubsweet-component-password-reset-frontend": "^3.0.7",
"pubsweet-component-signup": "^2.0.0",
"pubsweet-server": "^13.3.0",
"react-adopt": "^0.6.0",
"xpub-edit": "^2.5.16"
},
"devDependencies": {
"@babel/core": "^7.0.0",
......@@ -45,13 +46,13 @@
"@babel/preset-env": "^7.0.0",
"@babel/preset-react": "^7.0.0",
"app-module-path": "^2.2.0",
"babel-eslint": "^9.0.0",
"babel-eslint": "^10.0.1",
"babel-loader": "^8.0.0",
"babel-preset-es2015-native-modules": "^6.9.4",
"babel-preset-minify": "^0.3.0",
"compression-webpack-plugin": "^1.1.6",
"copy-webpack-plugin": "^4.4.1",
"css-loader": "^0.28.9",
"babel-preset-minify": "^0.5.0",
"compression-webpack-plugin": "^2.0.0",
"copy-webpack-plugin": "^5.0.2",
"css-loader": "^2.1.1",
"eslint": "^4.17.0",
"eslint-config-pubsweet": "^0.0.6",
"eslint-plugin-import": "^2.8.0",
......@@ -73,14 +74,14 @@
"node-sass": "^4.5.2",
"objection": "^1.3.0",
"prettier": "^1.10.2",
"react-hot-loader": "^4.1.2",
"react-hot-loader": "^4.8.3",
"regenerator-runtime": "^0.11.0",
"script-loader": "^0.7.0",
"smtp-server": "^3.3.0",
"style-loader": "^0.21.0",
"style-loader": "^0.23.1",
"testcafe": "^0.23.3",
"testcafe-react-selectors": "^3.0.0",
"url-loader": "^0.6.2",
"url-loader": "^1.1.2",
"webpack": "^4.29.6",
"webpack-hot-middleware": "^2.22.1"
},
......
......@@ -8,4 +8,5 @@ module.exports = [
/@pubsweet\/[^/\\]+\/(?!node_modules)/,
// include other packages when this repo is mounted in a workspace
/packages\/[^/\\]+\/(?!node_modules)/,
/node_modules\/xpub-edit/,
]
......@@ -19,7 +19,7 @@ module.exports = [
env: {
production: {
/* bug requires mangle:false https://github.com/babel/minify/issues/556#issuecomment-339751209 */
presets: [['minify', { mangle: false }]],
presets: [['minify', { builtIns: false, mangle: false }]],
},
},
},
......
......@@ -57,13 +57,7 @@ module.exports = (opts = {}) => {
new CopyWebpackPlugin([{ from: '../static' }]),
new webpack.optimize.AggressiveMergingPlugin(),
new webpack.optimize.OccurrenceOrderPlugin(),
new CompressionPlugin({
asset: '[path].gz[query]',
algorithm: 'gzip',
test: /\.js$|\.css$|\.html$/,
threshold: 10240,
minRatio: 0.8,
}),
new CompressionPlugin(),
)
// These replacements are necessary until Atlaskit
......
......@@ -34,11 +34,6 @@ module.exports = [
rules,
},
resolve: {
modules: [
path.resolve(__dirname, '..'),
path.resolve(__dirname, '..', 'node_modules'),
'node_modules',
],
alias: {
joi: 'joi-browser',
config: clientConfigPath,
......
......@@ -18,6 +18,7 @@ module.exports = [
{
// The configuration for the client
name: 'app',
mode: 'production',
target: 'web',
context: path.join(__dirname, '..', 'app'),
entry: {
......@@ -32,11 +33,6 @@ module.exports = [
rules,
},
resolve: {
modules: [
path.resolve(__dirname, '..'),
path.resolve(__dirname, '..', 'node_modules'),
'node_modules',
],
alias: {
joi: 'joi-browser',
config: clientConfigPath,
......
......@@ -32,11 +32,6 @@ module.exports = [
rules,
},
resolve: {
modules: [
path.resolve(__dirname, '..'),
path.resolve(__dirname, '..', 'node_modules'),
'node_modules',
],
alias: {
joi: 'joi-browser',
config: clientConfigPath,
......
This source diff could not be displayed because it is too large. You can view the blob instead.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment